NMDBusSettings
3
LIBNM-GLIB Library

# NMDBusSettings

## Synopsis

    #define             NM_DBUS_SETTINGS_DBUS_CONNECTION
    #define             NM_DBUS_SETTINGS_SCOPE
                        NMDBusSettings;
    NMDBusSettings*     nm_dbus_settings_new                (DBusGConnection *dbus_connection);
    NMDBusConnection*   nm_dbus_settings_get_connection_by_path
                                                            (NMDBusSettings *self,
                                                             const char *path);

## Description

## Details

### NM_DBUS_SETTINGS_DBUS_CONNECTION

    #define NM_DBUS_SETTINGS_DBUS_CONNECTION "dbus-connection"

### NM_DBUS_SETTINGS_SCOPE

    #define NM_DBUS_SETTINGS_SCOPE           "scope"

### NMDBusSettings

    typedef struct {
    	NMSettings parent;
    } NMDBusSettings;

### nm_dbus_settings_new ()

    NMDBusSettings*     nm_dbus_settings_new                (DBusGConnection *dbus_connection);

`dbus_connection` :

Returns :

### nm_dbus_settings_get_connection_by_path ()

    NMDBusConnection*   nm_dbus_settings_get_connection_by_path
                                                            (NMDBusSettings *self,
                                                             const char *path);

`self` :

`path` :

Returns :